astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Astronomical Coordinate Systems (`astropy.coordinates`) »
- ICRS

# ICRS

class `astropy.coordinates.``ICRS`(*args, **kwargs)

  Bases: `astropy.coordinates.BaseCoordinateFrame`

  A coordinate or frame in the ICRS system.

  If you’re looking for “J2000” coordinates, and aren’t sure if you want to use this or `FK5`, you probably want to use ICRS. It’s more well-defined as a catalog coordinate and is an inertial system, and is very close (within tens of milliarcseconds) to J2000 equatorial.

  For more background on the ICRS and related coordinate transformations, see the references provided in the See Also section of the documentation.

  Parameters:

  representation : `BaseRepresentation` or None

  > A representation object or None to have no data (or use the other keywords)

  ra : `Angle`, optional, must be keyword

  > The RA for this object (`dec` must also be given and `representation` must be None).

  dec : `Angle`, optional, must be keyword

  > The Declination for this object (`ra` must also be given and `representation` must be None).

  distance : `Quantity`, optional, must be keyword

  > The Distance for this object along the line-of-sight. (`representation` must be None).

  Attributes Summary

  `default_representation` |
  `frame_specific_representation_info` |
  `name` |

  Attributes Documentation

  `default_representation`
  `frame_specific_representation_info`
  `name` = 'icrs'